%define name klibido
%define version 0.2.5
%define distsuffix plf
%define release %mkrel 3
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:      %{name} 
Version:   %{version}
Summary:   A KDE nntp file grabber
Release:   %{release}
License:   GPL
Group:     Networking/File transfer
URL:       http://klibido.sourceforge.net
Source:    http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source10:  %name-16.png
Source11:  %name-32.png
Source12:  %name-48.png
Patch0:		klibido-cvs-gcc41.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: db4-devel >= 4.2 
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: libuu-static-devel >= 0.5.20

%description
KLibido is a KDE program to download and decode 
binary articles using the nntp protocol.
Main features:
- Multiple servers support
- Multiple download threads per server
- Automatically decoding of articles via the UULib library
- Embedded view of files via kparts
- Download queue management
This package is in PLF because of Mandrakelinux policy 
regarding programs allowing to exchange potentially 
copyrighted materials

%prep
rm -rf %buildroot

%setup -q
%patch0 -p1

%build
export QTLIB=%{_libdir}/qt3/%{_lib}
%configure 				\
%ifarch amd64
	--enable-libsuffix=64		\
%endif
	--disable-rpath 

%make 

%install
rm -rf %buildroot
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%{makeinstall_std}
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=klibido|Name=Klibido|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Networking/File Transfer" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

%clean
rm -rf %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_menudir}/%{name}
%_datadir/applnk/Utilities/%{name}.desktop
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_iconsdir/hicolor/*/apps/%{name}.png
%_datadir/apps/%{name}/icons/hicolor/*
%_docdir/HTML/en/%name
%_datadir/apps/%{name}/klibidoui.rc

%changelog
* Mon Aug 21 2006 Nicolas Lecureuil <neoclust@zarb.org> 0.2.5-3plf2007.0
- Fix rpmlint errors

* Thu May 25 2006 Stefan van der Eijk <stefan@zarb.org> 0.2.5-2plf
- klibido-cvs-gcc41.patch

* Sat Mar 11 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.5-1plf
- 0.2.5

* Mon Sep 12 2005 Nicolas Lecureuil <neoclust@zarb.org> 0.2.4.1-1plf
- New release 0.2.4.1
- Remove Patch 0 : Merged upstream

* Wed Jun 08 2005 Sebastien Savarin <plouf@zarb.org> 0.2.3-2plf
- add klibido-fix-availablegroups.patch

* Sun May 15 2005 Sebastien Savarin <plouf@zarb.org> 0.2.3-1plf
- 0.2.3

* Sat Apr 09 2005 trem <trem@zarb.org> 0.2.2.2-4plf
- Fix build on x86_64

* Thu Apr 07 2005 Sebastien Savarin <plouf@zarb.org> 0.2.2.2-3plf
- Really Fix build on x86_64
 
* Thu Apr 07 2005 Sebastien Savarin <plouf@zarb.org> 0.2.2.2-2plf
- Fix build on x86_64 thank's to 
  Nicolas Richard <kournikolas@yahoo.fr>

* Mon Mar 14 2005 Sebastien Savarin <plouf@zarb.org> 0.2.2.2-1plf
- New Release 

* Mon Mar 14 2005 Sebastien Savarin <plouf@zarb.org> 0.2.2-2plf
- fix PLF reason

* Mon Mar 14 2005 Sebastien Savarin <plouf@zarb.org> 0.2.2-1plf
- 0.2.2

* Tue Mar 02 2005 Sebastien Savarin <plouf@zarb.org> 0.2.1.1-1plf
- First PLF release
